## SYNOPSIS

           makeinfo [OPTION]... TEXINFO-FILE...

## DESCRIPTION

           Translate  Texinfo  source  documentation to various other
           formats, by default Info files suitable for reading online
           with Emacs or standalone GNU Info.

       General options:
           --error-limit=NUM
                  quit after NUM errors (default 100).

           --force
                  preserve output even if errors.

           --help display this help and exit.

           --no-validate
                  suppress node cross-reference validation.

           --no-warn
                  suppress warnings (but not errors).

           --reference-limit=NUM
                  warn about at most NUM references (default 1000).

           -v, --verbose
                  explain what is being done.

           --version
                  display version information and exit.

       Output format selection (default is to produce Info):
           --docbook
                  output DocBook XML rather than Info.

           --html output HTML rather than Info.

           --xml  output Texinfo XML rather than Info.

       General output options:
           -E, --macro-expand FILE
                  output macro-expanded source to FILE.  ignoring any
                  @setfilename.

           --no-headers
                  suppress node separators, Node:  lines,  and  menus
                  from  Info  output  (thus  producing plain text) or
                  from HTML (thus producing  shorter  output);  also,
                  write to standard output by default.

           --no-split
           --fill-column=NUM
                  break Info lines at NUM characters (default 72).

           --footnote-style=STYLE
                  output footnotes in Info according to STYLE: `sepa
                  rate' to put them in their own node; `end'  to  put
                  them at the end of the node

                  in which they are defined (default).

           --paragraph-indent=VAL
                  indent  Info  paragraphs by VAL spaces (default 3).
                  If VAL is `none', do not indent; if VAL is  `asis',
                  preserve existing indentation.

           --split-size=NUM
                  split Info files at size NUM (default 50000).

       Input file options:
           --commands-in-node-names
                  allow @ commands in node names.

           -D VAR define the variable VAR, as with @set.

           -I DIR append DIR to the @include search path.

           -P DIR prepend DIR to the @include search path.

           -U VAR undefine the variable VAR, as with @clear.

       Conditional processing in input:
           --ifhtml
                  process  @ifhtml  and  @html even if not generating
                  HTML.

           --ifinfo
                  process @ifinfo even if not generating Info.

           --ifplaintext
                  process @ifplaintext even if not  generating  plain
                  text.

           --iftex
                  process @iftex and @tex; implies --no-split.

           --ifxml
                  process @ifxml and @xml.

           --no-ifhtml
                  do not process @ifhtml and @html text.

           --no-ifinfo
                  --ifinfo is on and the others are off; if  generat
                  ing  plain text, --ifplaintext is on and the others
                  are off;

## EXAMPLES

           makeinfo foo.texi
                  write Info to foo's @setfilename

           makeinfo --html foo.texi
                  write HTML to @setfilename

           makeinfo --xml foo.texi
                  write Texinfo XML to @setfilename

           makeinfo --docbook foo.texi
                  write DocBook XML to @setfilename

           makeinfo --no-headers foo.texi
                  write plain text to standard output

                  makeinfo --html --no-headers  foo.texi  write  html
                  without  node  lines,  menus makeinfo --number-sec
                  tions foo.texi   write Info with numbered  sections
                  makeinfo  --no-split  foo.texi           write  one
                  Info file however big

## REPORTING BUGS

           Email bug reports to  bug-texinfo@gnu.org,  general  ques
           tions  and  discussion  to  help-texinfo@gnu.org.  Texinfo
           home page: http://www.gnu.org/software/texinfo/

## COPYRIGHT

           Copyright © 2003 Free Software Foundation, Inc.  There  is
           NO warranty.  You may redistribute this software under the
           terms of the GNU General Public License.  For more  infor
           mation about these matters, see the files named COPYING.

## SEE ALSO

           The  full  documentation  for  makeinfo is maintained as a
           Texinfo manual.  If the info  and  makeinfo  programs  are
           properly installed at your site, the command

                  info makeinfo

           should give you access to the complete manual.

    makeinfo 4.4              February 2003               MAKEINFO(1)